%define upstream_name    App-Bootstrap-Perl
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Bootstrap Perl inclusive CPAN from git
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
bootstrap-perl can compile and setup a complete Perl environment from git,
including the initial CPAN setup with distroprefs to ensure a completely
unattended installation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/bootstrap-perl
%{_mandir}/man1/bootstrap-perl.1*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.180.0-2.mga9
+ Revision: 1815020
- Mageia 9 Mass Rebuild

* Mon Sep 20 2021 tv <tv> 0.180.0-1.mga9
+ Revision: 1746009
- update to 0.18

* Sat Feb 15 2020 umeabot <umeabot> 0.160.0-2.mga8
+ Revision: 1526670
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 0.160.0-1.mga8
+ Revision: 1415425
- update to 0.16

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-2.mga7
+ Revision: 1281617
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.140.0-1.mga7
+ Revision: 1221441
- update to 0.14

* Mon Oct 02 2017 tv <tv> 0.120.0-4.mga7
+ Revision: 1162989
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1022534
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 971302
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 891221
- update to 0.12

* Thu Jun 25 2015 shlomif <shlomif> 0.110.0-1.mga6
+ Revision: 843047
- update to 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-6.mga5
+ Revision: 746954
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 683508
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-4.mga4
+ Revision: 509147
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-3.mga3
+ Revision: 363056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 shlomif <shlomif> 0.70.0-2.mga3
+ Revision: 309957
- Add a description

* Wed Oct 24 2012 shlomif <shlomif> 0.70.0-1.mga3
+ Revision: 309811
- imported package perl-App-Bootstrap-Perl


* Wed Oct 24 2012 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
